#!/bin/bash
# 0D48 =  850
# 0ED8 =  950
# 1068 = 1050
# 11F8 = 1150
# 1388 = 1250
# 1518 = 1350
# 16A8 = 1450
# 1838 = 1550
# 19C8 = 1650
# 1B58 = 1750
#

while [ true ]  
do
/bin/sleep 10

hwm="/Applications/HardwareMonitor.app/Contents/MacOS/hwmonitor"
smc="/Applications/smcFanControl.app/Contents/Resources/smc"

cpu=`"$hwm" -ds | head -n 1 | cut -c 13-14`

if [[ "$cpu" -gt "20" && "$cpu" -lt "35" ]]; then  # - Zwischen 21 und 34 Grad
	"$smc" -k F0Mn -w 0ED8    
	"$smc" -k F2Mn -w 1068

elif [[ "$cpu" -gt "34" && "$cpu" -lt "51" ]]; then  # - Zwischen 35 und 50 Grad
	"$smc" -k F0Mn -w 1068    
	"$smc" -k F2Mn -w 1388

elif [[ "$cpu" -gt "50" && "$cpu" -lt "60" ]]; then  # - Zwischen 51 und 59 Grad
	"$smc" -k F0Mn -w 1388    
	"$smc" -k F2Mn -w 1518

elif [[ "$cpu" -gt "59" && "$cpu" -lt "99" ]]; then  # - Zwischen 60 und 98 Grad
	"$smc" -k F0Mn -w 1838   
	"$smc" -k F2Mn -w 1838
fi
done
